<template>
  <div class="inline-16">
    <el-popconfirm
        title="确定删除此分类明细吗？"
        @confirm="deleteRow()">
      <el-button slot="reference" size="small" type="text" >删 除</el-button>
    </el-popconfirm>
  </div>

</template>

<script>
export default {
  name: "delete",
  props:["data"],
  mounted() {

  },
  methods:{
    async deleteRow(){
        console.log(this.data)
        const res = await this.$api.requested({
          "id":20220901092701,
          "content": {
            "optiontypemxid": this.data.optiontypemxid
          }
        })
        this.tool.showMessage(res,() => {
          this.$emit("delSuccess")
        })
      }
  }
}
</script>

<style scoped>

</style>